Skip to main content
System Management/System Settings/Log Server
GETLog ServerSince 3.10.0SynchronousAuth Required

Get Log Server Configuration

Get Log Server Configuration

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. See error

    • codeStringRequired

      Error code number. A globally unique identifier for the error, e.g., SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      Root error. The source error that caused this error. Null if no root cause exists

  • inventoriesListRequired

    See inventories

    • idlongRequired

      资源ID。

    • labelKeyStringRequired

      标签键。

    • labelValueStringRequired

      标签值。

    • resourceUuidStringRequired

      Resource UUID

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/log/configurations

/zstack/v1/log/configurations

Operation ID

GetLogConfiguration

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/log/configurations?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 0.0, "labelKey": "log4j2-0201c1784c6e48d2ba26954d4c688fae", "labelValue": "{\n\"appenderType\": \"Syslog\",\n\"configuration\": {\n\"hostname\": \"192.168.0.13\",\n\"port\": \"514\",\n\"protocol\": \"UDP\",\n\"facility\": \"LOCAL5\"\n}\n}" }, { "id": 0.0, "labelKey": "log4j2-ba2cf0a6945d4267bfdc1994776b509d", "labelValue": "{\n\"appenderType\": \"Syslog\",\n\"configuration\": {\n\"hostname\": \"192.168.0.11\",\n\"port\": \"514\",\n\"protocol\": \"UDP\",\n\"facility\": \"LOCAL5\"\n}\n}" } ] }

Change History

This API has no change history records yet.

View all change history